<?php
/**
 * Plugin Name: Web To Print Shop : Core
 * Plugin URI: https://www.webtoprintshop.com/
 * Description: Web to Print Shop - Core Plugin. Required for all other web to print shop plugins.
 * Version: 1.2.1
 * Author: Racad Tech, Inc.
 * Author URI: https://webtoprint.solutions/
 * Text Domain: web-to-print-shop-core
 * Domain Path: /languages
 * License: GPLv3
 *
 * Requires Plugins: woocommerce
 * Requires at least: 6.0
 * Tested up to: 6.9
 * WC requires at least: 9.0
 * WC tested up to: 10.3.7
 * Requires PHP: 7.4
 *
 * @package w2pshop
 * @author  Amram Bentolila, Rehana Ahmad, Leo Garnets
 */

// Exit if accessed directly
defined( 'ABSPATH' ) || exit;

if ( ! defined( 'W2PSHOP_PLUGIN_FILE' ) ) {
	define( 'W2PSHOP_PLUGIN_FILE', __FILE__ );
}

if ( ! defined( 'W2PSHOPCORE_VERSION' ) ) {
	define( 'W2PSHOPCORE_VERSION', '1.2.1' );
}

// Include the main W2PShop class.
if ( ! class_exists( 'W2PShop', false ) ) {
	include_once dirname( W2PSHOP_PLUGIN_FILE ) . '/includes/w2pshop-class.php';
}

register_activation_hook( __FILE__, array( 'W2PShop', 'activate' ) );
// Init the plugin
( new W2PShop() )->init();
